Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7074 - /etc/logrotate.d/apache gives error if apache isn't running
Summary: /etc/logrotate.d/apache gives error if apache isn't running
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-17 11:30 UTC by Mads Kiilerich
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-06 18:45:09 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 1999-11-17 11:30:38 UTC
eg:

/var/log/httpd/access_log {
    missingok
    postrotate
        /usr/bin/killall -HUP httpd
    endscript
}

while missing is ok, the killall will give an error which will be mailed to
root.

Solution: 2>/dev/null

Regards, Kiilerich

Comment 1 Preston Brown 1999-12-06 18:45:59 UTC
fixed in a forthcoming errata release of apache.  Thank you for the report.


Note You need to log in before you can comment on or make changes to this bug.